%define pcapdep libpcap-devel

%define _legacy_common_support 1

Name:           tcpreplay
Version:        4.5.1
Release:    1%{?dist}
Summary:        Replay captured network traffic

License:        GPLv3
URL:            http://tcpreplay.appneta.com/
Source0:         https://github.com/appneta/tcpreplay/releases/download/v%{version}/tcpreplay-%{version}.tar.xz

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  %{pcapdep} >= 0.8.0, tcpdump
BuildRequires:  libdnet-devel
Requires:       /usr/sbin/tcpdump

%description
Tcpreplay is a tool to replay captured network traffic. Currently, tcpreplay
supports pcap (tcpdump) and snoop capture formats. Also included, is tcpprep
a tool to pre-process capture files to allow increased performance under
certain conditions as well as capinfo which provides basic information about
capture files.

%prep
%autosetup -p1

%build
%configure --enable-dynamic-link \
           --enable-tcpreplay-edit \
           --enable-local-libopts \
           --disable-libopts-install \
           --disable-maintainer-mode

%{__sed} -i \
         -e 's/^CFLAGS.*/CFLAGS=${RPM_OPT_FLAGS} -std=gnu99 -D_U_="__attribute__((unused))" -Wno-format-contains-nul/' \
         $(find . -name Makefile)

%{__rm} -f docs/INSTALL docs/Makefile*

%{__chmod} -x src/*.c src/common/*.c

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%doc docs/*
%doc %{_mandir}/man1/*
%{_bindir}/*

%changelog
* Thu Sep 05 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.1-1
- initial build
